[Bioperl-l] PPM4 PPD + server configuration

Chris Fields cjfields at uiuc.edu
Tue Sep 26 19:25:35 EDT 2006



> -----Original Message-----
> From: bioperl-l-bounces at lists.open-bio.org [mailto:bioperl-l-
> bounces at lists.open-bio.org] On Behalf Of Nathan S. Haigh
> Sent: Tuesday, September 26, 2006 4:17 PM
> To: Bioperl-l at lists.open-bio.org
> Subject: [Bioperl-l] PPM4 PPD + server configuration
> 
> I've now have working packages for Bioperl 5.6.2-c, and Bundle::BioPerl
> 2.6.(if it's decided that we need it) and a few other modules
> (Bio-ASN1-EntrezGene 1.09, Class-AutoClass 1.01, GD-SVG 0.28 and
> SVG-Graph 0.01). Please comment on the Bioperl and Bundle::BioPerl
> packages with respect to thoe modules I've included as being "core" to
> Bioperl, and those I've put into Bundle::bioPerl - relevant PPD XML code
> at the bottom. Once, I've had feedback I'll also update the PREREQ_PM in
> Makefile.PL.

I think you mean 'Bioperl 1.5.2-c', right?  I wouldn't package a PPM for
1.5.2-c (which was a quick testing tag).  I think the idea is to get a
1.5.2-RC1 out next week, a possible second RC soon after, then the final
1.5.2 release, so you could make PPMs for those releases (using the same ppd
file reqs and Bundle-Bioperl PPM).  

> During this time, I stumbled across a bug in PPM4:
> http://bugs.activestate.com/show_bug.cgi?id=50728. In short, PPM4 tries
> to get some of the dependencies that are actually in ActiveStates repo
> from the repo that the package is being installed from. For example, if
> You were to try and install Bioperl 1.5.2 from the bioperl repo
> (http://bioperl.org/DIST/) it will also try to get some dependencies
> from this repo (which aren't there) instead of ActiveStates repo. A
> workaround is to set up a redirect in the servers httpd.conf file,
> something like the following should work for the Bioperl server:
> 
> RedirectMatch /DIST/MSWin32-x86-multi-thread-5.8/(.*)
> http://ppm.activestate.com/PPMPackages/5.8-windows/MSWin32-x86-multi-
> thread-5.8/$1
> 
> The bug has been fixed since I wrote the draft of this e-mail and will
> be fixed in ActivePerl 5.8.8.820. However, they tell me, this won't be
> released for at least a few months. Therefore, we need to implement the
> above workaround until then - a volunteer?
> 
> Cheers
> Nath
 
We may have to get Mauricio or Chris D. on the httpd.conf addition; I don't
think I have access to the server.  

The Ace package is listed in the ActiveState repository as AcePerl, I think.
Are the REQUIRE_NAME tags which contain the modules supposed to end with the
double colon now?  I noticed "DB_File::" and "BerkeleyDB::" in the below.

So, the intent is to install everything to get Bioperl running?  I wasn't
sure about adding Bundle::BioPerl as a requirement, but I can see why, at
least for Windows users.

Chris


> 
> -- start package.xml code --
> <REPOSITORY>
>    <SOFTPKG NAME="bioperl" VERSION="1.5.2-c" DATE="2006-09-25">
>    <PROVIDE NAME="bioperl::" VERSION="1.5.2"/>
>    <ABSTRACT>Bioinformatics Toolkit</ABSTRACT>
>    <AUTHOR>Bioperl Team (bioperl-l at bioperl.org)</AUTHOR>
>    <IMPLEMENTATION>
>      <ARCHITECTURE NAME="MSWin32-x86-multi-thread-5.8"/>
>      <CODEBASE HREF="bioperl-1.5.2-ppm.tar.gz"/>
>      <REQUIRE NAME="IO::String" VERSION=""/>
>      <REQUIRE NAME="HTML::Entities" VERSION=""/>
>      <REQUIRE NAME="DB_File::" VERSION=""/>
>      <REQUIRE NAME="BerkeleyDB::" VERSION=""/>
>      <REQUIRE NAME="Bundle::BioPerl" VERSION="2.1.6-c"/>
>    </IMPLEMENTATION>
> </SOFTPKG>
> 
> 
> <SOFTPKG NAME="Bundle-BioPerl" VERSION="2.1.6-c" DATE="2006-09-25">
>    <PROVIDE NAME="Bundle::BioPerl" VERSION="2.1.6-c"/>
>    <ABSTRACT>A Bundle to install dependencies for Bioperl 1.5.2</ABSTRACT>
>    <AUTHOR>
> Chris Dagdigian (dag at sonsorol.org) (Author only of this bundle, not any
> the modules it lists)
>    </AUTHOR>
>    <IMPLEMENTATION>
>      <ARCHITECTURE NAME="MSWin32-x86-multi-thread-5.8"/>
>      <CODEBASE HREF="Bundle-BioPerl-2.1.6-ppm.tar.gz"/>
>      <REQUIRE NAME="Ace::" VERSION=""/>
>      <REQUIRE NAME="Bio::ASN1::EntrezGene" VERSION=""/>
>      <REQUIRE NAME="Class::AutoClass" VERSION="1.01"/>
>      <REQUIRE NAME="Clone::" VERSION=""/>
>      <REQUIRE NAME="Convert::Binary::C" VERSION=""/>
>      <REQUIRE NAME="Data::Stag::Writer" VERSION=""/>
>      <REQUIRE NAME="DBD::mysql" VERSION=""/>
>      <REQUIRE NAME="GD::SVG" VERSION=""/>
>      <REQUIRE NAME="GD::" VERSION="1.3"/>
>      <REQUIRE NAME="Graph::Directed" VERSION=""/>
>      <REQUIRE NAME="HTML::Parser" VERSION="3.0"/>
>      <REQUIRE NAME="HTTP::Request::Common" VERSION=""/>
>      <REQUIRE NAME="LWP::UserAgent" VERSION=""/>
>      <REQUIRE NAME="Set::Scalar" VERSION=""/>
>      <REQUIRE NAME="SOAP::Lite" VERSION=""/>
>      <REQUIRE NAME="Spreadsheet::ParseExcel" VERSION=""/>
>      <REQUIRE NAME="Storable::" VERSION=""/>
>      <REQUIRE NAME="SVG::" VERSION="2.26"/>
>      <REQUIRE NAME="SVG::Graph" VERSION="0.01"/>
>      <REQUIRE NAME="Text::Shellwords" VERSION=""/>
>      <REQUIRE NAME="XML::DOM::XPath" VERSION=""/>
>      <REQUIRE NAME="XML::Parser::PerlSAX" VERSION=""/>
>      <REQUIRE NAME="XML::SAX" VERSION=""/>
>      <REQUIRE NAME="XML::SAX::Base" VERSION=""/>
>      <REQUIRE NAME="XML::SAX::Writer" VERSION=""/>
>      <REQUIRE NAME="XML::Simple" VERSION=""/>
>      <REQUIRE NAME="XML::Twig" VERSION=""/>
>      <REQUIRE NAME="XML::Writer" VERSION=""/>
>    </IMPLEMENTATION>
> </SOFTPKG>
> </REPOSITORY>
> -- end package.xml code --
> _______________________________________________
> Bioperl-l mailing list
> Bioperl-l at lists.open-bio.org
> http://lists.open-bio.org/mailman/listinfo/bioperl-l



More information about the Bioperl-l mailing list